× 警告!旧版文档已经暂停维护,请查看新版文档。点击前往新版文档

升级swoole版本的常见问题

可以使用pecl进行安装和升级

pecl upgrade swoole

也可以直接从github/pecl下载一个新版本,重新安装编译。

  • 更新swoole版本,不需要卸载或者删除旧版本swoole,安装过程会覆盖旧版本
  • swoole编译安装后没有额外的文件,仅有一个swoole.so,如果是在其他机器编译好的二进制版本。直接互相覆盖swoole.so,即可实现版本切换
  • git clone拉取的代码,执行git pull更新代码后,务必要再次执行phpize、./configure、make clean、make install
  • 也可以使用对应的docker去升级对应的swoole版本